#include <QtQml/qqmlprivate.h>
#include <QtCore/qdir.h>
#include <QtCore/qurl.h>
#include <QtCore/qhash.h>
#include <QtCore/qstring.h>

namespace QmlCacheGeneratedCode {
namespace _qt_qml_network_DeviceStatusItem_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_NetButton_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_NetFileChooseEdit_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_NetItemEditor_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_NetPasswordEdit_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_NetUtils_js { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_Network_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_NetworkMain_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageAirplane_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageAppProxy_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageDSL_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageDSLSettings_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageDetails_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageHotspot_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageSettings_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageSystemProxy_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageVPN_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageVPNSettings_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageWiredDevice_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_PageWirelessDevice_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SectionDNS_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SectionDevice_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SectionGeneric_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SectionIPv4_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SectionIPv6_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SectionPPP_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SectionPPPOE_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SectionSecret_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SectionVPN_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _qt_qml_network_SystemProxyConfigItem_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}

}
namespace {
struct Registry {
    Registry();
    ~Registry();
    QHash<QString, const QQmlPrivate::CachedQmlUnit*> resourcePathToCachedUnit;
    static const QQmlPrivate::CachedQmlUnit *lookupCachedUnit(const QUrl &url);
};

Q_GLOBAL_STATIC(Registry, unitRegistry)


Registry::Registry() {
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/DeviceStatusItem.qml"), &QmlCacheGeneratedCode::_qt_qml_network_DeviceStatusItem_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/NetButton.qml"), &QmlCacheGeneratedCode::_qt_qml_network_NetButton_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/NetFileChooseEdit.qml"), &QmlCacheGeneratedCode::_qt_qml_network_NetFileChooseEdit_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/NetItemEditor.qml"), &QmlCacheGeneratedCode::_qt_qml_network_NetItemEditor_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/NetPasswordEdit.qml"), &QmlCacheGeneratedCode::_qt_qml_network_NetPasswordEdit_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/NetUtils.js"), &QmlCacheGeneratedCode::_qt_qml_network_NetUtils_js::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/Network.qml"), &QmlCacheGeneratedCode::_qt_qml_network_Network_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/NetworkMain.qml"), &QmlCacheGeneratedCode::_qt_qml_network_NetworkMain_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageAirplane.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageAirplane_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageAppProxy.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageAppProxy_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageDSL.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageDSL_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageDSLSettings.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageDSLSettings_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageDetails.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageDetails_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageHotspot.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageHotspot_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageSettings.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageSettings_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageSystemProxy.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageSystemProxy_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageVPN.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageVPN_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageVPNSettings.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageVPNSettings_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageWiredDevice.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageWiredDevice_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/PageWirelessDevice.qml"), &QmlCacheGeneratedCode::_qt_qml_network_PageWirelessDevice_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SectionDNS.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SectionDNS_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SectionDevice.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SectionDevice_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SectionGeneric.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SectionGeneric_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SectionIPv4.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SectionIPv4_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SectionIPv6.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SectionIPv6_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SectionPPP.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SectionPPP_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SectionPPPOE.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SectionPPPOE_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SectionSecret.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SectionSecret_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SectionVPN.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SectionVPN_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/qt/qml/network/SystemProxyConfigItem.qml"), &QmlCacheGeneratedCode::_qt_qml_network_SystemProxyConfigItem_qml::unit);
    QQmlPrivate::RegisterQmlUnitCacheHook registration;
    registration.structVersion = 0;
    registration.lookupCachedQmlUnit = &lookupCachedUnit;
    QQmlPrivate::qmlregister(QQmlPrivate::QmlUnitCacheHookRegistration, &registration);
}

Registry::~Registry() {
    QQmlPrivate::qmlunregister(QQmlPrivate::QmlUnitCacheHookRegistration, quintptr(&lookupCachedUnit));
}

const QQmlPrivate::CachedQmlUnit *Registry::lookupCachedUnit(const QUrl &url) {
    if (url.scheme() != QLatin1String("qrc"))
        return nullptr;
    QString resourcePath = QDir::cleanPath(url.path());
    if (resourcePath.isEmpty())
        return nullptr;
    if (!resourcePath.startsWith(QLatin1Char('/')))
        resourcePath.prepend(QLatin1Char('/'));
    return unitRegistry()->resourcePathToCachedUnit.value(resourcePath, nullptr);
}
}
int QT_MANGLE_NAMESPACE(qInitResources_qmlcache_network_qml)() {
    ::unitRegistry();
    return 1;
}
Q_CONSTRUCTOR_FUNCTION(QT_MANGLE_NAMESPACE(qInitResources_qmlcache_network_qml))
int QT_MANGLE_NAMESPACE(qCleanupResources_qmlcache_network_qml)() {
    return 1;
}
